#
# spec file for package libsoup (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libsoup
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnutls-devel
BuildRequires:  gtk-doc
BuildRequires:  libproxy-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite3-devel
# We do not need these dependencies needed only for tests.
#BuildRequires:  apache2-mod_php5 php5-xmlrpc
License:        LGPLv2.1+
Group:          Development/Libraries/GNOME
# bug437293
%ifarch ppc64
Obsoletes:      libsoup-64bit
%endif
#
Summary:        Simple Object Access Protocol (SOAP)
Version:        2.28.2
Release:        0.1.1
Source:         ftp://ftp.gnome.org/pub/GNOME/stable/sources/libsoup/2.2/%{name}-%{version}.tar.bz2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-2_4-1 = %{version}

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides a queued asynchronous callback-based mechanism for sending
and servicing SOAP requests and a WSDL (Web Service Definition
Language) to C compiler that generates client stubs and server
skeletons for easily calling and implementing SOAP methods.

It uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access SOAP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).

The WSDL compiler helps you make your applications interoperate with
services that expose their descriptions through WSDL.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%package 2_4-1
License:        LGPLv2.1+
Summary:        Simple Object Access Protocol (SOAP)
Group:          Development/Libraries/GNOME
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libsoup-64bit
%endif
#

%description 2_4-1
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides a queued asynchronous callback-based mechanism for sending
and servicing SOAP requests and a WSDL (Web Service Definition
Language) to C compiler that generates client stubs and server
skeletons for easily calling and implementing SOAP methods.

It uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access SOAP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).

The WSDL compiler helps you make your applications interoperate with
services that expose their descriptions through WSDL.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%package devel
License:        LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} glib2-devel libgnutls-devel libgcrypt-devel libgpg-error-devel libxml2-devel
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libsoup-devel-64bit
%endif
#

%description devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. It
provides a queued, asynchronous callback-based mechanism for sending
SOAP requests. This package allows you to develop applications that use
the Soup library.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%prep
%setup -q

%build
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT/%{_libdir}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post 2_4-1 -p /sbin/ldconfig

%postun 2_4-1 -p /sbin/ldconfig

%files 2_4-1
%defattr(-, root, root)
%doc README COPYING NEWS AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libsoup-2.4
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libsoup-gnome-2.4
%{_datadir}/gtk-doc/html/libsoup-2.4

%changelog
* Wed Dec 16 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Fixed a crash in SoupCookieJarSqlite when using cookie
    databases not created by libsoup.
  + bgo#602498 - Fixed SoupCookieJar to handle non-http URIs
    properly
  + bgo#595554 -  Fixed a bug in SoupPasswordManagerGNOME that
    could cause crashes if you typed the wrong password once and
    then tried again.
  + Fixed a crash in SoupAuthDigest if the server claims support
    for both qop=auth and qop=auth-int
  + bgo#522772 - Added SoupContentDecoder, providing support for
    Content-Encoding: gzip for WebKitGTK
  + bgo#600830 - HEAD requests that receive a "303 See Other"
    response will now do a HEAD, not a GET, on the redirected-to
    resource.
  + bgo#602389 - Fixed a g_warning that would always trigger in the
    server-side SoupCookie code
  + bgo#601640 - Fixed the server-side SoupMultipart code to be
    able to parse multiparts containing binary attachments, rather
    than rejecting them as malformed
  + bgo#589277, bgo#600826 - Fixed the Request-Line format in the
    https-over-proxy case. Among other things, this fixes access to
    bugzilla.gnome.org from WebKitGTK-based browsers.
  + bgo#596074 - Fixed a leak in SoupSession if a message was
    cancelled while the initial socket connection was in progress
  + bgo#602898 - Fixed server-side parsing of Digest auth
  + bgo#602863 - Handle spurious CR/LFs between responses
  + bgo#600689 - Fixed WinSock initialization on Windows
  + bgo#600748 - Fixed a sporadic crash in the SSL code on Windows
  + bgo#600749 - Fixed handling of https connections with timeouts
    on Windows.
  + bgo#598948 - Added soup_session_prepare_for_uri(), to allow
    DNS prefetching for faster browsing.
  + SoupSession now avoids redundant DNS lookups again when first
    connecting to a new site, resulting in faster loads.
- Changes from version 2.28.1:
  + bgo#594768 - libsoup will now attempt to make multiple
    connections to a server at once when there are multiple
    messages queued to that server. The previous behavior (only
    allowing a single pending connection to each server) resulted
    in slow load times on pages with lots of subresources (images,
    css, js, etc) on servers that disallow persistent connections
  + There should now be fewer (no?) "Connection terminated
    unexpectedly" errors in WebKitGTK
  + bgo#596859 - Fixed a crash in SoupCookieJarSqlite
  + Fixed soup_address_get_physical() and address-to-name
    resolution of SoupAddress
  + bgo#597545 -  Fixed a bug in SoupContentSniffer that could
    cause false negatives
  + bgo#587709 - Fixed the configure error if you have gnutls-devel
    but not gcrypt-devel installed.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Fixed a handful of leaks found with valgrind, including a
    large one in SoupContentSniffer
  + bgo#584522 - Changed the behavior of SoupCookieJarSqlite to
    improve performance.
  + bgo#59495 - Fixed a crash in SoupSocket that affected gupnp
  + bgo#594508 - Fixed the type of the SOUP_METHOD_* and
    SOUP_URI_SCHEME_* macros to be const char * rather than
    gpointer.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + Removed SoupPasswordManager from the public API until its
    problems can be addressed. Although it is still present, you
    need to #define a special symbol for it to be visible in the
    header files; see bgo#594377 for details.
  + Fixed a bug where empty query components were dropped from
    URIs. [bgo#594405]
  + Fixed "make check" to work (but warn) when building with
  - -disable-ssl.
  + Fixed some small documentation bugs.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Added SoupPasswordManager, an interface for managing persistent
    password storage, and SoupPasswordManagerGNOME (in
    libsoup-gnome), which implements it using gnome-keyring.
  + libsoup should now notice when the server closes a persistent
    connection, and close its side of the connection sooner. This
    should hopefully fix the spurious "Connection terminated
    unexpectedly" errors in WebKitGTK. [bgo#578990]
  + Fixed some problems with connection management in SoupSession
    that could cause a session to eventually "stall" and be unable
    to process new requests. [bgo#592084]
  + Fixed an infinite loop that caused 100%% CPU usage if the
    network went down at exactly the right time while there were
    unsent messages in the queue. [bgo#592492]
  + Fixed a crash in SoupLogger. [bgo#591857]
  + Fixed the definition of soup_message_is_keepalive() for
    HTTP/1.0 messages, to fix a problem introduced in 2.27.90 where
    some messages would load completely but never emit "finished".
  + Fixed a crash in SoupServer introduced in 2.27.90 when
    processing a request with no "Host" header.
- Add gnome-keyring-devel BuildRequires.
* Tue Aug 11 2009 captain.magnus@opensuse.org
- Update to version 2.27.90:
  + libsoup now uses glib's GResolver rather than its own DNS code.
    For 2.27.90, the only visible change should be that
    internationalized domain names are now supported. [bgo#548287]
  + Added soup_message_disable_feature(), which allows you to
    disable particular features (eg, cookies, proxy,
    content-sniffing, etc) on a per-message basis. [bgo#574773]
  + It is now possible to implement "OPTIONS *" in a SoupServer;
    you must explicitly register a handler for "*" in order to do
    this. [bgo#590751]
  + Ignore Content-Length on EOF-terminated responses, to match
    other browsers and therefore cope with broken servers that send
    the wrong length.
  + Fixed the status code when trying to fetch an https URI with a
    non-gnutls build of libsoup. [bgo#590464]
  + Fixed strict-aliasing warnings introduced in 2.27.4
    [bgo#588771]
  + Fixed some warnings noted by fortify [bgo#591226] and -Wextra
  + libsoup now uses automake 1.11's silent-rules support by
    default (if you are building with automake 1.11). Use
    "./configure --disable-silent-rules" or "make V=1" to disable
* Tue Jul 28 2009 lmedinas@gmail.com
- Update to version 2.27.5:
  + Fixed a crash when a web server redirected a request to a
    non-http URI (eg, "about:blank"). [bgo#528882]
  + Fixed a hang when trying to create an attachment on certain
    bugzilla installations from epiphany. [bgo#584645]
  + Fixed verification of V1 TLS certificates [bgo#589323]
  + Fixed compile problems on Windows (in the ssl code), and on
    Linux (when the most recent version of gtk-doc was installed).
* Sun Jul 19 2009 vuntz@novell.com
- Update to version 2.27.4:
  + Added SoupContentSniffer and the "content-sniffed" signal on
    SoupMessage, to do Content-Type sniffing per the HTML5 /
    draft-abarth-mime-sniff algorithm. [bgo#572589]
  + Updated the earlier SoupSession timeout fixes ([bgo#574414],
    [bgo#578928]) so that async connect() also times out
    [bgo#588177] and SSL works on Windows again [bgo#587910].
  + Fixed the behavior on a 301 response to a POST to match
    real-world usage rather than what the spec says. (We were doing
    the right thing on 302 and 303, but had missed 301.)
    [bgo#586692]
  + Changed configure so that if GNUTLS isn't found then it errors
    out, rather than silently building an SSL-less libsoup.
    Configure with --disable-ssl if you actually don't want SSL.
    [bgo#584955]
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Replaced SoupProxyResolver with SoupProxyURIResolver, which is
    a bit simpler, works with non-HTTP URIs (and so could be used
    by gvfsd-ftp) and supports proxy auth correctly. [bgo#580051]
  + Fixed SoupSession to not try to resolve http server hostnames
    when it's just going to pass the hostname off to a proxy server
    anyway. This fixes things on hosts that use a proxy for
    everything and have no working DNS config [bgo#577532] and also
    makes WebKitGTK behave more like other browsers in terms of
    per-host connection limits (we now limit connections based on
    hostname rather than on IP address).
  + We also no longer set the AI_CANONNAME flag when calling
    getaddrinfo(), which saves us a little bit of unnecessary
    network traffic.
  + libsoup now always uses SSL 3.0 (not TLS 1.0 or 1.1) for https
    URIs, to work around problems with older servers that don't
    implement the (apparently quite confusing) TLS/SSL
    compatibility rules correctly. Makes a bunch of
    previously-inaccessible sites now accessible in WebKitGTK
    (notably PayPal) [bgo#581342]. Will eventually be revisited, to
    first try TLS 1.1 and fall back if that fails.
  + Fixed Digest auth to (recent) Apple CalDAV servers.
    [bgo#583091]
  + Changed the way the SoupSession "authenticate" signal works a
    bit. We now never emit "authenticate" before sending a request,
    even if we know for sure that it's going to fail, because this
    makes the semantics of the authenticate handler too complicated
    (and because we'll only get into this situation if a previous
    call to the authenticate handler failed anyway). Fixes problems
    in WebKitGTK when you cancel a password dialog, and then later
    try to load the page again. [bgo#583462]
  + Fixed a bug in the CRLF-vs-LF patch (bgo#571283) that caused
    libsoup to fail to parse the response headers (returning
    SOUP_STATUS_MALFORMED) if a CR LF got split across two read()s.
    [bgo#582002]
  + Allow using PUT in soup_form_request_for_data(), to work with
    certain broken web APIs. [bgo#581860]. Also, fixed a problem
    with empty POST bodies that made some parts of gmail not work
    in WebKitGTK.
  + Applied some minor bugfixes to configure.in and autogen.sh
    [bgo#583911, bgo#583942]. Fixed configure.in to not use gcc
    warning options that the installed version of gcc doesn't
    recognize [bgo#578851].
  + Added G_GNUC_NULL_TERMINATED and G_GNUC_PRINTF to a few methods
    that should have had them. [bgo#581754]
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + SOUP_SESSION_TIMEOUT now works properly with SoupSessionAsync
    [bgo#574414] and SSL [bgo#578928]. Added tests/timeout-test to
    test this.
  + SoupDate fixes:
  - soup_date_to_string() now handles SOUP_DATE_RFC2822
    [bgo#579055]
  - soup_date_new_from_string() now accepts 24:00 as a time in
    ISO8601 timestamps
  - soup_date_to_string() now coerces the date to UTC for HTTP
    and cookie dates, and outputs the UTC correct offset for the
    other date types.
  - Added regression tests to tests/date
  + soup_headers_parse() now completely ignores
    syntactically-incorrect headers, rather than passing them to
    soup_message_headers_append() and causing a g_warning.
    soup_message_headers_append() now also rejects 0-length header
    names. Updated tests/header-parsing to check this. [bgo#579318]
  + Fix a crash when cancelling a message from a "restarted"
    handler, and updated a regression test to notice the underlying
    cause. [bgo#380193]
  + Completing the API updates for bgo#576760 from 2.26.1,
    soup_message_headers_get() is now marked deprecated in favor of
    soup_message_headers_get_one() and _get_list().
- Do not package ChangeLog file: it's not distributed anymore.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fix SoupProxyResolverGNOME bugs [bgo#578746, bgo#578809]
  + Fixed warnings when a message has a network problem when many
    other messages are queued. [bgo#578809]
* Thu Apr  9 2009 vuntz@novell.com
- Update to version 2.26.0.9:
  + libsoup uses libproxy for PAC and WPAD proxy resolution again.
    However, it arranges to do all communication with GConf itself,
    to ensure that libproxy doesn't call it in non-thread-safe
    ways. [bgo#571527]
  + Fixed a bug in SoupSessionSync when proxy resolution failed.
    [bgo#574957]
  + SoupURI now handles unencoded spaces in URIs. In particular,
    redirects via Location headers with spaces in them now work.
    [bgo#566530]
  + libsoup can now deal with servers (and clients) that
    erroneously use LF LF instead of CR LF CR LF to separate the
    headers and body. [bgo#571283]
  + Added soup_message_headers_get_one() and
    soup_message_headers_get_list(), which will eventually
    deprecate soup_message_headers_get(). This lets applications
    deal correctly with implementations that erroneously send
    multiple copies of single-valued headers. [bgo#576760]
  + In particular, soup_message_headers_get_content_type() now
    ignores duplicate Content-Type headers [bgo#576760] and also
    ignores syntactically-incorrect Content-Type headers.
    [bgo#577630]
  + SoupCookieJar can now store multiple cookies with the same
    domain and name, but different paths. [bgo#577360]
  + Abnormal SSL connection closes are now treated as ordinary
    EOFs, for compatibility with certain sites. [bgo#577386]
  + soup_header_g_string_append_param() now allows NULL values.
    [bgo#577728]
  + soup_message_headers_append() now rejects header names and
    values with newlines or certain other illegal data in them,
    rather than generating syntactically invalid headers.
  + Fixed a small bug in soup_date_new_from_string's ISO 8601
    handling [bgo578369 for g_time_val_from_iso8601].
  + The regression tests now work correctly on machines where
    "localhost" resolves to "::1" instead of "127.0.0.1".
    [bgo#576583]
  + Miscellaneous documentation fixes/clarifications.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Temporarily disable libproxy support to work around a bug in
    its gnome plugin that causes gvfsd-http (and probably
    eventually other apps) to crash. (bgo#571527)
  + Fixed a bug that showed up in WebKit, where if many messages
    were queued all at once to a server that doesn't support
    persistent connections, some of the requests will get lost.
    (bgo#574365)
  + Fixed SoupServer to support using SOUP_ENCODING_EOF, so you can
    stream responses of unknown length to HTTP/1.0 clients.
    (bgo#572153)
  + Fixed several bugs that prevented SoupCookieJarSqlite from
    working. (bgo#572409)
  + Added G_{BEGIN,END}_DECLS guards to public headers that were
    missing it.
  + Misc gtk-doc improvements.
- Remove AutoReqProv: it's default now.
- Remove -fno-strict-aliasing from CFLAGS.
- Do not create an empty libsoup package. Have libsoup2_4-1
  provide/obsolete it.
- Merge the doc with the devel package since it only contained
  gtk-doc.
- Add gconf2-devel BuildRequires since it's needed again (see first
  item in upstream changes).
* Tue Feb 17 2009 mboman@suse.de
- Update to version 2.25.91:
  + Fixed a crash in SoupProxyResolverGNOME when the proxy
    requires authentication. (This does not make proxy
    authentication *work* yet, it just makes it not crash.)
  + Updated documentation
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 2.25.5:
  + SoupProxyResolverGConf (which was incomplete) is gone, and
    libsoup-gnome now requires libproxy.
  + Fixed a bug in SoupCookieJar that was making it send "Cookie:
    (null)" when it had no cookies for a site, which confused some
    web servers.
  + Fixed a bug with using SOUP_MEMORY_TEMPORARY buffers and
    soup_message_body_set_accumulate(FALSE).
  + Fixed the build with non-gcc compilers
- BuildRequires libproxy-devel.
- Remove gconf2-devel BuildRequires.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Added soup_session_get_feature() and
    soup_session_get_features(), to query the features currently
    available in a session
* Tue Dec 23 2008 mboman@suse.de
- Update to version 2.25.3:
  + Fixed a crash when using both cookies and a proxy. [bgo#562191]
  + Fixed soup_form_decode() to correctly handle forms with
    URI-encoded parameter names [bgo#563302]
  + Fixed a crash in SoupProxyResolverGConf. [bgo#563145]
  + Fixed client behavior when presented with multiple auth
    types to choose the *strongest* auth type (eg, Digest)
    rather than the *weakest* one [bgo#562339]
    Added a regression test for this.
  + Moved libsoup-gnome headers to a different directory to make
    it easier to split libsoup and libsoup-gnome into separate
    packages, and to ensure that things that only want to be
    looking at plain libsoup headers (like gir-repository) don't
    accidentally see the libsoup-gnome ones.
  + Some minor doc fixes
  + Fixed libsoup-gnome linking with --as-needed. [bgo#559342]
  + New library libsoup-gnome
  + SoupCookieJarText, like SoupCookieJarSqlite, but using the
    old-style cookies.txt format, and in the base libsoup rather
    than libsoup-gnome.
  + Various bugfixes to SoupCookie and SoupCookieJar to fix the
    problems with cookies not working on certain sites.
  + The new SoupMultipart type provides support for multipart
    MIME bodies, and soup-form now includes several methods for
    generating and parsing multipart form data and file uploads.
  + SoupMessageHeaders now has methods for easy handling of the
    Content-Type, Content-Disposition, Range, and Content-Range
    headers. The Content-Disposition handling recognizes
    RFC2231-encoded UTF-8 filenames.
  + SoupServer now automatically handles partial GET requests;
    if your server returns SOUP_STATUS_OK in response to a
    partial GET, libsoup will automatically convert it to a
    SOUP_STATUS_PARTIAL_CONTENT response with only the requested
    portions.
- Drop libsoup-334021-client-ssl-certs.patch: it required a gnutls
  patch (gnutls-1.4.4-sign-callback.patch) that was dropped in
  August 2007.
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Bugs fixed: bgo#533473, bgo##536285, bgo#498509, bgo#553976, bgo#557072
  + Updated generated documentation
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.24.0.1:
  + Reverted part of the fix for bgo#528882, which caused the DAAP
    plugin in rhythmbox to crash. [bgo#553466]
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.24.0:
  + Cosmetic version bump
* Fri Sep 12 2008 maw@suse.de
- Update to version 2.23.92:
  + Fixed the handling of a 302 response to a HEAD request, which
    should NOT be treated like a 303 response (bgo#551190).
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Fixed a crash in gvfs [bgo#528882]
  + Added soup_date_to_timeval() for gvfs. [bgo#549006]
* Wed Aug  6 2008 maw@suse.de
- Update to version 2.23.6:
  + Fixed use of g_idle_add() so that heavy I/O won't end up
    blocking libsoup callbacks (bgo#536676)
  + Allow the caller to override the Host header (bgo#539803)
  + Properly handle responses larger than 4G (bgo#539861)
  + Fixed the build when using certain LDFLAGS (bgo#541506)
  + Fixed a small bug in Digest auth handling (bgo#544681).
* Mon Jun 16 2008 maw@suse.de
- Update to version 2.23.1:
  + This is the first unstable release leading up to GNOME 2.24;
    the large version number bump is so that libsoup's version
    matches that of GNOME at large, but note that the API version
    is still "2.4", meaning that it is still referred to as
    "libsoup-2.4" when using pkg-config
  + Added SoupSessionFeature, an interface type that will be
    used for several new features. Ported SoupLogger and
    SoupAuthManager to use it
  + Added SoupCookie and SoupCookieJar; this API is already being
    used in Epiphany, via WebKit, but it is not yet complete.
* Tue Apr 29 2008 cthiel@suse.de
- obsolete libsoup-<arch> via baselibs.conf
* Mon Apr 21 2008 maw@suse.de
- Drop libsoup-2.2.100-r924.patch, because it is now upstream
- Respin libsoup-334021.patch, and rename it to
  libsoup-334021-client-ssl-certs.patch.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.4.1:
  + Fixed SoupMessage to not downgrade to HTTP/1.0 for the second
    attempt when it receives an HTTP/1.0 redirect or 401
    (bgo#521848)
  + Fixed Host: header syntax when the host is an IPv6 address
    literal
  + Fixed SoupSession to not emit "authenticate" multiple times
    for messages that have been requeued (bgo#522601); also added
    two new signals to SoupSession, request-queued and
    request-unqueued, to help simplify certain session-helpers and
    avoid bugs like this in the future
  + Fixed soup_server_pause_message() to actually work (rather
    than *un*pausing the message)
  + Added a property SOUP_SESSION_IDLE_TIMEOUT that can be used
    to set a timeout after which idle connections will
    automatically be closed (bgo#518214)
  + Implemented RFC 2069-style Digest auth, and fixed SoupAuth
    to compare auth scheme names case-insensitively, to fix
    authentication against Apple's calendar server (bgo#498484)
  + Fixed a crash in SoupAuthDomainDigest if the client provided
    an unrecognized username
  + Fixed a few SoupDate bugs (in particular, it was outputting
    the wrong day of the week when stringifying dates)
  + Improved the cleanup of idle connections, to fix slow load
    times with the libsoup backend of WebKit
  + Added a new SoupMessage signal "wrote-body-data" that can be
    used for progress information when sending a large request
    body; also allow providing the request body in multiple
    chunks even when using Content-Length encoding (bgo#525101)
  + libsoup now ignores SIGPIPE globally, instead of
    un-thread-safe-ly ignoring it only around network writes; in
    particular, this means it is ignored when the SSL code needs
    to unexpectedly do a write when we asked it to do a read
    (bgo#524397)
  + The discard-body-chunks-once-they're-no-longer-needed
    behavior, confusingly called SOUP_MESSAGE_OVERWRITE_CHUNKS,
    is now controlled by a SoupMessageBody method
    (soup_message_body_set_accumulate()), and can be applied to
    either the request body or the response body;
    (OVERWRITE_CHUNKS is still available for backward compatibility)
    (bgo#522146)
  + The DNS cache no longer caches "no such host" results, since
    some name servers lie to clients outside their firewall,
    which could then cause problems for laptops moved between
    networks (bgo#523269)
  * Added some new regression tests, fixed some small bugs in
    the existing ones.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.4.0:
  + Fixed a small memory leak in SoupSession (bgo#518798)
  + Minor fixes to redirect behavior; PROPFINDs can now be
    automatically redirected and 302 is treated like 307, not
    303; also fixed to make sure that redirect-test actually gets
    run by "make check"
  + The SoupSocket I/O methods now set nread/nwrote even on
    error.
* Mon Mar  3 2008 maw@suse.de
- Update to version 2.3.4:
  + Documentation is once again available from devhelp (bgo#518384
    and bgo#518317)
  + Tidied up libsoup-2.4.pc file (bgo#517631)
- The shared library subpackage is now called libsoup-2_4-1.
* Mon Feb 18 2008 maw@suse.de
- Update to version 2.3.2:
  + API changes / Behavior changes:
  * soup_server_add_auth_domain() now refs the auth domain when
    adding it. (soup_server_remove_auth_domain() already
    unreffed it.) This means existing applications using
    SoupAuthDomain will now have a small memory leak. Those
    applications should update their libsoup-2.4 requirement to
    ">= 2.3.2" at some point before the final GNOME 2.22.0
    release, and then fix the code to unref the auth domain
    after adding it to the server.
  * SoupSession's automatic redirect-handling behavior now obeys
    RFC 2616 more closely. In particular, status codes 300 and
    304 are no longer mistakenly considered redirects; POSTs
    that receive 303 are now redirected into GETs; and POSTs
    that receive 301, 302, or 307 are now not redirected.
  Applications that were using the SOUP_MESSAGE_NO_REDIRECT
  flag to prevent libsoup from redirecting POSTs incorrectly
  before should now be able to remove that if they depend on
  libsoup-2.4 >= 2.3.2.
  + API additions:
  * Added a SOUP_SESSION_USER_AGENT property to SoupSession, and
    SOUP_SERVER_SERVER_HEADER to SoupServer, to support
    automatically adding "User-Agent" and "Server" headers to
    messages. (The default behavior is to do nothing, as
    before.)
  * Added several new methods to soup-forms.h. Applications that
    are encoding a fixed set of form fields can now just pass
    them to soup_form_encode(), rather than needing to construct
    a GHashTable or GData list. (Likewise, the new
    soup_uri_set_query_from_fields() behaves similarly for
    directly updating a URI with form data.) There are also now
    soup_form_request_new() and other related methods, to
    directly create a GET or POST SoupMessage for submitting a
    form query.
  The original soup_form_* methods have all been renamed,
  although bgo#defines exist for backward compatibility.
  * Added soup_message_set_chunk_allocator() and
  soup_buffer_new_with_owner(), to give applications more
  control over memory usage/copying when doing streaming HTTP.
  [Wouter Cloetens, bgo#513810].
  * Added several new methods to soup-value-utils.h for working
    with multiple array or hash table values at once:
    soup_value_hash_new_with_vals(),
    soup_value_hash_insert_vals(),
    soup_value_hash_lookup_vals(),
    soup_value_array_new_with_vals(), and
    soup_value_array_append_vals().
  This helps to simplify XML-RPC calls that send or receive
    structs or arrays.
  * Added soup_date_to_time_t().
  * Added SoupMessageHeadersIterator, an iterator type for
    SoupMessageHeaders that can be used instead of
    soup_message_headers_foreach().
  + Bug fixes:
  * Fixed a crash-when-idle in evolution-exchange [bgo#437835] and
    rhythmbox [bgo#506552].
  * Added the API version to the gtk-doc installation dir, to
    prevent parallel-installation problems with libsoup 2.2 and
    2.4. [bgo#512810, Daniel Gryniewicz].
  * Fixed tests/query-test to compile correctly on Solaris.
    [bgo#513602, patch from Jeff Cai]
  * Fixed some other minor HTTP conformance issues.
* Thu Jan 31 2008 maw@suse.de
- Split out a shared library subpackage
- Build with -fno-strict-aliasing
- s#%%run_ldconfig#/sbin/ldconfig#
- Remove libtool archives and static libraries.
* Tue Jan 29 2008 rodrigo@suse.de
- Update to version 2.3.0.1:
  * SoupURI now correctly handles URIs with complex encoded queries
  * It is now possible for a SoupServer to use Digest auth without
    needing to have the cleartext password available
  * Digest authentication now properly handles "stale=true" and
    "nextnonce=..."
  * SoupServer is now subclassible
  * soup_server_run_async and soup_server_quit no longer ref and
    unref the server, as that doesn't match ordinary GObject
    conventions
  * The test programs no longer use a symbol name that conflicts
    with Cygwin
  * libsoup can now handle the not-quite-HTTP responses returned
    by Shoutcast servers
  * If you use libsoup while disconnected from the network, it
    no longer caches the failed DNS results
  * "Expect: 100-continue" processing now works correctly on
    both client and server
  * SoupSessions are no longer leaked
  * The XML-RPC API is improved. The SOAP API is gone...
  * Added utility functions for HTML form handling
  * Improved message header handling
  * SoupServer now automatically adds a "Date" header
- Disabled not working patches
- Fixed summaries
* Mon Aug  6 2007 jberkman@novell.com
- export new smartcard functionality from gnutls for evo-exchange (gnome bug
  [#334021])
* Mon Feb 19 2007 maw@suse.de
- Update to version 2.2.100
- Remove header-parsing.patch which is now upstream.
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Tue Jan 16 2007 maw@suse.de
- Add header-parsing.patch (#235084 and CVE-2006-5876).
* Mon Jan  8 2007 sbrabec@suse.cz
- Spec file cleanup.
* Fri Dec  8 2006 maw@suse.de
- Move to /usr.
* Tue Nov  7 2006 cstender@suse.de
- removed 'rm -rf $RPM_BUILD_ROOT' from build section
- added ldconfig call
* Tue Aug 15 2006 jhargadon@suse.de
- update to version 2.2.96
- SoupServer now works even if you don't explicitly set an
    encoding for the response.
- WWW-Authenticate and Proxy-Authenticate responses with no
    realm parameter are now ignored
- Fixed a bug in soup_mktime_utc()
* Wed Jul  5 2006 dgollub@suse.de
- update to 2.2.94:
  * Various fixes to the XML-RPC code (which apparently had not
  actually ever worked before) from Brent Smith. [343973,
  344222, 344458]
  * Added client and server API tutorials to the docs
  * auth-test now uses a local Apache 2.2 install, if possible,
    rather than depending on files that used to be on an old
    Ximian web server but haven't been anywhere for a long time.
  [311825]
- changes from 2.2.92 to 2.2.93
  * Fixed outgoing data corruption caused when SoupServer
  started writing out a response a second time after already
  having started once. [334469]. Also fixed 342640 and another
  bug caused by the workaround for 334469 in 2.2.92. Based on
  patches and analysis from William Jon McCann and Armin
  Bauer.
  * Fixed a deadlock when changing a session's proxy URI.
  [309867 / bnc 174255, based on a patch by Veerapuram
  Varadhan].
  * Fixed https-via-proxies in the synchronous case. [bnc 174255]
  * Fixed a crash in evolution-exchange [342545, fix based on an
  analysis by Wang Xin].
  * Fixed simple-proxy to not crash at startup. Oops. (Alex
  Larsson)
- changes from 2.2.91 to 2.2.92
  * Fixed server-side digest auth to return a valid "algorithm"
  value and client-side to not crash if it sees an invalid one
  [328615].
  * Fixed the Request-Line parsing code to not hardcode a
  maximum URI length (to allow very long DAAP requests from
  iTunes in Rhythmbox). [335040]
- changes from 2.2.90 to 2.2.91
  * SoupSession, SoupServer, SoupConnection, SoupSocket, and
  SoupAddress now have an "async-context" property that allows
  you to use the async API in a non-default GMainContext.
  [Based on patches from Armin Bauer and Jörg Billeter.]
  * Fixed some bugs in soup_date_iso8601_parse(). [324671, from
  Emmanuele Bassi]
* Mon Feb 27 2006 danw@suse.de
- Add a patch from CVS for use by evolution
  (make connection timeout configurable)
* Tue Feb 21 2006 sbrabec@suse.cz
- Do not require exact release in devel file.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 17 2005 danw@suse.de
- update to 2.2.90, which includes the opensync patches
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Aug 22 2005 jpr@suse.de
- Update to released 2.2.6.1 which includes the cvs patches we were already
  folding in plus the second part of the fix for 104319
* Thu Aug 18 2005 ro@suse.de
- update to cvs version folding in other patches
* Thu Aug 18 2005 ro@suse.de
- added libsoup-2.2.3-danw-tambet-threading.patch
* Mon Aug 15 2005 ro@suse.de
- fixed memory leak (port of patch from #95454)
* Fri Aug 12 2005 ro@suse.de
- updated and re-enabled patches...
* Fri Aug 12 2005 jpr@suse.de
- Add lzo and lzo-devel to neededforbuild to get ssl support back (104319)
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.2.5
* Wed Jun 29 2005 gekker@suse.de
- Update to version 2.2.3
* Tue Jun 28 2005 gekker@suse.de
- Add patch for close exec (62176).
* Thu Mar 10 2005 hvogel@suse.de
- More gnutls patching. Fixed CPU sucking bug #57811 (ximian)
* Sat Feb  5 2005 gekker@suse.de
- Update to version 2.2.2
* Fri Jan 28 2005 meissner@suse.de
- Added sentinels to spot bad valist handling, no-strict-aliasing
  is not needed here.
* Sat Jan 22 2005 ro@suse.de
- GNUTLS_CERT_NOT_TRUSTED is no longer present in current gnutls
* Mon Nov 29 2004 gekker@suse.de
- Update to version 2.2.1
* Wed Oct 20 2004 dobey@suse.de
- Add patch for bugzilla.ximian.com bug #68583
* Fri Aug 27 2004 dobey@suse.de
- Update to version 2.2.0
* Fri Aug 13 2004 dobey@suse.de
- Update to version 2.1.13
- Require glib2-devel for the libsoup-devel package
* Thu Aug  5 2004 dobey@suse.de
-  Add proper dependencies to the devel package
* Thu Aug  5 2004 dobey@suse.de
-  Fix support for SSL
* Wed Jul 28 2004 dobey@suse.de
-  Updated to version 2.1.12
* Fri Jun  4 2004 mibarra@suse.de
-  Updated to version 2.1.11
* Sat May 22 2004 mibarra@suse.de
- Updated to version 2.1.10.
* Tue May 18 2004 clahey@suse.de
- Updated to version 2.1.9.
* Mon Mar 22 2004 hhetter@suse.de
- updated to version 1.99.28
* Tue Mar 16 2004 meissner@suse.de
- -fno-strict-aliasing.
* Fri Aug  8 2003 sbrabec@suse.cz
- Updated to version 1.99.23.
* Tue Aug  5 2003 sbrabec@suse.cz
- Package renamed to libsoup.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 22 2003 sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
